package cn.liujson.app.update.listener;

/**
 * 进度监听
 * @author liujson
 */
public interface OnProgressListener {
    /**
     * 接收到进度
     * @param progress 接收到进度
     * @param maxProgress 最大进度
     */
    void onProgress(int progress, int maxProgress);

    /**
     * 下载完成
     *
     * @param savePath 文件保存路径
     */
    void onFinish(String savePath);

    /**
     * 下载失败
     * @param throwable 异常信息
     */
    void onError(Throwable throwable);
}